import { h } from './index-655b2980.js';
import './_commonjsHelpers-97e6d7b1.js';
import { h as htmlSerializer, P as PrismicRichText, B as Blockquote } from './PrismicResponsiveImage-137fba69.js';
export { A as AnchorButton, B as Blockquote, c as Breadcrumbs, d as Breakpoint, C as Card, e as CardContent, f as Col, D as DateTime, G as Grid, H as Heading, I as IntersectionHelper, g as Paragraph, b as PrismicResponsiveImage, P as PrismicRichText, R as ResponsiveContainer, S as Skeleton, T as Text, i as ThemeProvider, a as asText, h as htmlSerializer } from './PrismicResponsiveImage-137fba69.js';
export { B as Button } from './Button-d341fe45.js';
var SliceNormalText = function (_a) {
    var slice = _a.slice;
    return (h(PrismicRichText, { richText: slice.primary.content, htmlSerializer: htmlSerializer }));
};
var SliceRawHtml = function (_a) {
    var slice = _a.slice;
    return (h("div", { class: "prismic-raw-html", innerHTML: slice.primary.html_content.map(function (c) { return c.text; }).join('') }));
};
var SliceQuote = function (_a) {
    var slice = _a.slice;
    return (h(Blockquote, null, h("div", null, h(PrismicRichText, { richText: slice.primary.quote })), slice.primary.name ? (h("cite", null, slice.primary.name, h("span", null, slice.primary.description))) : null));
};
var SliceFloatingImage = function (_a) {
    var slice = _a.slice;
    return (h("figure", null, h("img", { loading: 'lazy', src: slice.primary.illustration.url, alt: slice.primary.illustration.alt })));
};
var SliceAd = function (_a) {
    var slice = _a.slice;
    return (h("aside", null, h("a", { href: slice.primary.link.url, target: slice.primary.link.target }, slice.primary.text[0].text)));
};
var PrismicBodySlice = function (_a) {
    var slice = _a.slice, key = _a.key;
    switch (slice.slice_type) {
        case 'normal_text':
            return h(SliceNormalText, { slice: slice, key: key });
        case 'raw_html':
            return h(SliceRawHtml, { slice: slice, key: key });
        case 'quote':
            return h(SliceQuote, { slice: slice, key: key });
        case 'floating_image':
            return h(SliceFloatingImage, { slice: slice, key: key });
        case 'ad':
            return h(SliceAd, { slice: slice, key: key });
    }
    return null;
};
var PrismicContent = function (_a) {
    var content = _a.content;
    return content.map(function (c, i) { return h(PrismicBodySlice, { slice: c, key: i }); });
};
export { PrismicBodySlice, PrismicContent };
